﻿using Hotline.Settings;
using Hotline.Share.Enums.Order;
using Hotline.Share.Requests;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Order
{
	public class OrderBiOrgDataListVo
	{
		public string OrgName { get; set; }

		public string OrgId { get; set; }

		public int HandlerExtendedNum { get; set; }

		public int CounterHandlerExtendedNum { get; set; }

		public int NoHandlerExtendedNum { get; set; }

		public int CounterNoHandlerExtendedNum { get; set; }

		public int Subtotal => HandlerExtendedNum + CounterHandlerExtendedNum + NoHandlerExtendedNum + CounterNoHandlerExtendedNum;
	}

	public class OrderBiCentreDataListVo
	{
		public string UserName { get; set; }

		public string UserId { get; set; }

		public int CentreArchive { get; set; }

		public int CentreCareOf { get; set; }

		public int NoCentreCareOf { get; set; }

		public int Invalid { get; set; }

		public int Repeat { get; set; }

		public int Subtotal => CentreArchive + CentreCareOf + NoCentreCareOf + Invalid + Repeat;
	}

	public class OrderBiSpecialListVo
	{
		public string Cause { get; set; }

		public int OrderNum { get; set; }

		public DateTime MaxSpecialTime { get; set; }
	}

	public class HotspotDataLsitVo { 
		public string Name { get; set;}

		public string Id { get; set; }

		public int Num { get; set; }

	}

    public class BiOrderDelayDataDto
	{
		/// <summary>
		/// 部门名称
		/// </summary>
		public string OrgName { get; set; }
		/// <summary>
		/// 部门code
		/// </summary>
		public string OrgCode { get; set; }
		/// <summary>
		/// 小计
		/// </summary>
		public int AllTotal { get; set; }
		/// <summary>
		/// 已同意次数
		/// </summary>
		public int PassTotal { get; set; }
		/// <summary>
		/// 未同意次数
		/// </summary>
		public int NoPassTotal { get; set; }
		/// <summary>
		/// 审批中次数
		/// </summary>
		public int ExaminingTotal { get; set; }

    }
}
